-------------------------------
-- Sphere Background Creator --
-------------------------------
local addon, ns = ...
local ss = ns.SS

local setmetatable = setmetatable

local mtBackground = {};

function mtBackground:New(parent)
  local bg = parent:CreateTexture(nil,"BACKGROUND")
  bg:SetTexture  (ss.private.textures.gloss)
  bg:SetAllPoints(parent)

  return bg
end

ss["BackgroundCreator"] = setmetatable({}, { __index = mtBackground });
